AOZ Studio Beta - Bug #686

Erreur a I'exécution si le code est copié depuis le PDF (Guide de I'utilisateur)
03/08/2021 11:02 PM - Stéphane VINCENT
Description

Etrangement, si je copie le code (avec la commande ctrl + ¢) et que je le colle dans I'éditeur AOZ Studio (avec ctrl + p), la fenétre se
lance, n'affiche pas le logo et reste noire.
Par contre, si je tape exactement le méme code depuis I'éditeur, il se lance sans souci.

J'ai d'abord pensé a un souci d'encodage mais je n'ai rien trouvé pour le moment.

Pour afficher le PDF (version frangaise du guide de I'utilisateur), j'utilise Acrobat Reader DC (32 bits) et mon systéme d'exploitation
est Windows 10 64 bits.

Quoiqu'il en soit, ce comportement étrange peut déstabiliser les utilisateurs.

History

#1 - 03/11/2021 09:36 PM - Stéphane VINCENT

Description

Etrangement, si je copie le code (avec la commande ctrl + c) et que je le colle dans I'éditeur AOZ Studio (avec ctrl + v), la fenétre se lance, n'affiche
pas le logo et reste noire.
Par contre, si je tape exactement le méme code depuis I'éditeur, il se lance sans souci.

J'ai d'abord pensé a un souci d'encodage mais je n'ai rien trouvé pour le moment.

Pour afficher le PDF (version frangaise du guide de I'utilisateur), j'utilise Acrobat Reader DC (32 bits) et mon systéme d'exploitation est Windows 10
64 bits.

Quoiqu'il en soit, ce comportement étrange peut déstabiliser les utilisateurs.

#2 - 03/20/2021 11:30 PM - Stéphane VINCENT
Stéphane VINCENT wrote in #note-1:

Description

Etrangement, si je copie le code (avec la commande ctrl + c) et que je le colle dans I'éditeur AOZ Studio (avec ctrl + v), la fenétre se lance,
n'affiche pas le logo et reste noire.
Par contre, si je tape exactement le méme code depuis I'éditeur, il se lance sans souci.

J'ai d'abord pensé a un souci d'encodage mais je n'ai rien trouvé pour le moment.

Pour afficher le PDF (version frangaise du guide de I'utilisateur), j'utilise Acrobat Reader DC (32 bits) et mon systéme d'exploitation est Windows
10 64 bits.

Quoiqu'il en soit, ce comportement étrange peut déstabiliser les utilisateurs.

Le probléme existe toujours avec la version 1.0.0 (B5) et I'exemple qui est désormais situé au chapitre 6.

#3 - 03/21/2021 12:18 AM - Stéphane VINCENT
Stéphane VINCENT wrote in #note-2:

Je viens d'identifier le souci: il vient du guillement-apostrophe de [c'est].

Apreés le copier-coller du code, il suffit de remplacer le ['] par ['].

['] correspond au caractére 0x27 alors que ['] au caractere Oxe2 0x80 0x99 ou U+2019, soit "Right Single Quotation Mark" (
https://www fileformat.info/info/unicode/char/2019/index.htm ).

#4 - 03/23/2021 10:27 PM - Stéphane VINCENT

Stéphane VINCENT wrote in #note-3:
Pour votre langage de programmation, veillez a interpréter tous les "single quote"” Unicode comme le caractére 0x27, soit ['].
Pour les "double quote" Unicode, il faudra alors les interpréter comme 2 caractéres 0x27.
https://www.fileformat.info/info/unicode/char/2019/index.htm

Plus d'informations:
https://www.cl.cam.ac.uk/~mgk25/ucs/quotes.html
https://unicode-table.com/fr/sets/quotation-marks/

#5 - 04/06/2021 04:23 PM - Francois Lionet

- Status changed from New to Feedback

Laurant, peux tu me donner la page ou se trouve un exemple qui ne fonctionne pas? Je n'arrive pas a le reproduire, normalement c'est gere...

?

#6 - 04/06/2021 08:12 PM - Stéphane VINCENT

Francois Lionet wrote in #note-5:

Laurant, peux tu me donner la page ou se trouve un exemple qui ne fonctionne pas? Je n'arrive pas a le reproduire, normalement c'est gere...

?

Il suffit de copier/coller le code qui se trouve au chapitre 6 de "AOZ_Studio_-Guide_de_lutilisateur-_Francais.pdf".

Input "Quel est votre nom" ; NOM$

Print "Bonjour" ; NOMS

Input "Quel age avez-vous ?" ; age

jours = age*365

Print "Wow ! En jours c’est " ; jours

Bell

Print "Vous étes assez vieux pour étre un magicien !"
Print "Au revoir" ; NOMS

Bell 2

Ce souci existe toujours avec la version Beta 6a du 23 Mars.
Si on remplace le guillement simple dans [c’est] par [c'est] alors le code fonctionne comme attendu.
Bien cordialement

#7 - 04/25/2021 07:55 PM - Stéphane VINCENT
Stéphane VINCENT wrote in #note-6:

Francois Lionet wrote in #note-5:

Laurant, peux tu me donner la page ou se trouve un exemple qui ne fonctionne pas? Je n'arrive pas a le reproduire, normalement c'est
gere...

?

Il suffit de copier/coller le code qui se trouve au chapitre 6 de "AOZ_Studio_-Guide_de_lutilisateur-_Francais.pdf".

Input "Quel est votre nom" ; NOM$

Print "Bonjour" ; NOMS$

Input "Quel &age avez-vous ?" ; age

jours = age*365

Print "Wow ! En jours c’est " ; jours

Bell

Print "Vous étes assez vieux pour étre un magicien !"
Print "Au revoir" ; NOMS$S

Bell 2

Ce souci existe toujours avec la version Beta 6a du 23 Mars.
Si on remplace le guillement simple dans [c’est] par [c'est] alors le code fonctionne comme attendu.
Bien cordialement

Le souci existe encore avec la documentation frangaise de la version Beta 7 du 21 Auril.
